# Generated by Django 5.0.7 on 2024-07-23 06:46

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='GeoRegion',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name': 'Region',
                'verbose_name_plural': 'Regions',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='GeoCountry',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('iso2', models.CharField(max_length=2)),
                ('iso3', models.CharField(max_length=3)),
                ('numeric_code', models.CharField(max_length=4)),
                ('phone_code', models.CharField(max_length=10)),
                ('capital', models.CharField(max_length=255)),
                ('currency', models.CharField(max_length=255)),
                ('currency_name', models.CharField(max_length=255)),
                ('currency_symbol', models.CharField(max_length=255)),
                ('tld', models.CharField(max_length=10)),
                ('native', models.CharField(max_length=255)),
                ('nationality', models.CharField(max_length=255)),
                ('region', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='country_set', to='django_geo_entities.georegion')),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Countries',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='GeoState',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('code', models.CharField(max_length=10)),
                ('latitude', models.DecimalField(blank=True, decimal_places=16, max_digits=22, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=16, max_digits=22, null=True)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='state_set', to='django_geo_entities.geocountry')),
            ],
            options={
                'verbose_name': 'Geo State',
                'verbose_name_plural': 'Geo States',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='GeoCity',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('latitude', models.DecimalField(blank=True, decimal_places=16, max_digits=22, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=16, max_digits=22, null=True)),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='city_set', to='django_geo_entities.geostate')),
            ],
            options={
                'verbose_name': 'Geo City',
                'verbose_name_plural': 'Geo Cities',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='GeoSubRegion',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subregion_set', to='django_geo_entities.georegion')),
            ],
            options={
                'verbose_name': 'SubRegion',
                'verbose_name_plural': 'SubRegions',
                'ordering': ['name'],
            },
        ),
        migrations.AddField(
            model_name='geocountry',
            name='subregion',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='country_set', to='django_geo_entities.geosubregion'),
        ),
    ]
